package com.das.common.config;

import cn.dev33.satoken.stp.StpInterface;
import cn.dev33.satoken.stp.StpUtil;
import com.das.modules.auth.domain.vo.SysUserVo;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

/**
 *    自定义权限验证接口扩展
 */
// 需要加SaTokenConfiguration拦截器进行拦截注入
public class StpInterfaceImpl implements StpInterface {
    @Override
    public List<String> getPermissionList(Object loginId, String var2) {
        SysUserVo currentUser = (SysUserVo) StpUtil.getTokenSession().get(SessionUtil.SESSION_USER_KEY);
        if(currentUser==null){
            return Collections.emptyList();
        }else{
            List<String> list = new ArrayList<>();
            currentUser.getAuthorities().forEach(item-> list.add(item.toString()));

            return list;
        }
    }

    @Override
    public List<String> getRoleList(Object loginId, String var2) {
        //权限判断这块 全部采用权限Permission 判断，不采用角色Role判断
        return Collections.emptyList();
    }
}
