package com.das.common.exceptions;


import com.das.common.result.IResultCode;
import com.das.common.result.ResultCode;

import java.io.Serial;

/**
 * @author chenhaojie
 * @Description oss存储服务异常
 */
public class OssException extends RuntimeException {

    @Serial
    private static final long serialVersionUID = 1L;

    private int code = ResultCode.FAILURE.getCode();

    private String msg = ResultCode.FAILURE.getMessage();

    public OssException() {
        super();
    }

    public OssException(String msg) {
        super(msg);
        this.setMsg(msg);
    }

    public OssException(IResultCode resultCode, String msg) {
        super(msg);
        this.setCode(resultCode.getCode());
        this.setMsg(msg);
    }

    public OssException(String msg, Throwable cause) {
        super(msg, cause);
        this.setMsg(msg);
    }

    public OssException(IResultCode resultCode, String msg, Throwable cause) {
        super(msg, cause);
        this.setCode(resultCode.getCode());
        this.setMsg(msg);
    }

    public OssException(Throwable cause) {
        super(cause);
    }

    public void setCode(int code) {
        this.code = code;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public int getCode() {
        return code;
    }

    public String getMsg() {
        return msg;
    }
}
