package com.das.common.interceptor;


import com.das.common.config.AesProperties;
import jakarta.annotation.Resource;
import org.springframework.boot.web.servlet.FilterRegistrationBean;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * @author
 * @Description 请求参数过滤器配置
 */
@Configuration
public class FilterConfig {

    @Resource
    private AesProperties aesProperties;

    @Bean
    public FilterRegistrationBean decryptingFilterRegistration() {
        FilterRegistrationBean registrationBean = new FilterRegistrationBean();
        //注册过滤器
        registrationBean.setFilter(new DecryptingOncePerRequestFilter(aesProperties.getKey()));
        registrationBean.addUrlPatterns("/api/*"); // 设置过滤器应用的URL模式
        registrationBean.setOrder(2); // 设置过滤器的顺序
        return registrationBean;
    }
}
