package com.das.common.utils;

import cn.hutool.core.codec.Base64;
import cn.hutool.crypto.Mode;
import cn.hutool.crypto.Padding;
import cn.hutool.crypto.symmetric.AES;

import java.nio.charset.StandardCharsets;

/**
 * @author xxx
 * @date 2020-09-16 11:17
 **/

public class AESUtil {

    /**
     * AES加密
     * @param content 待加密的内容
     * @return 加密后的Base64字符串
     */
    public static String encrypt(String key,String content, String iv) {
        AES aes = new AES(Mode.CBC, Padding.ZeroPadding, key.getBytes(), iv.getBytes());
        return Base64.encode(aes.encrypt(content, StandardCharsets.UTF_8));
    }

    /**
     * AES解密
     * @param encryptStr 已加密的Base64字符串
     * @return 解密后的内容
     */
    public static String decrypt(String key, String encryptStr, String iv) {
        AES aes = new AES(Mode.CBC, Padding.ZeroPadding, key.getBytes(), iv.getBytes());
        return aes.decryptStr(Base64.decode(encryptStr), StandardCharsets.UTF_8);
    }
}
