package com.das.modules.auth.domain.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

@Data
public class SysUserDto implements Serializable {
    /**
     * 角色ID
     */
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;
    /**
     * 账号
     */
    private String account;
    /**
     * 密码
     */
    private String password;
    /**
     * 职员名称
     */
    private String userName;
    /**
     * 职员邮箱
     */
    private String email;
    /**
     * 手机号
     */
    private String phone;

    /**
     * 头像
     */
    private String headImage;
    /**
     * 所属机构id
     */
    @JsonSerialize(using = ToStringSerializer.class)
    private Long orgId;
    /**
     * 最后登录时间
     */
    private Date lastLogin;
    /**
     * 乐观锁
     */
    private Integer revision;
    /**
     * 角色列表
     */
    private List<String> roleList;
}
