package com.das.modules.auth.domain.vo;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * 账号信息
 *
 * @author guchengwei
 */
@Data
public class SysUserVo implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 账号ID
     */
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /**
     * 账号名
     */
    private String account;

    /**
     * 账号本地名
     */
    private String userName;


    /**
     * 乐观锁
     */
    private Integer revision;

    /**
     * 手机号
     */
    private String phone;

    /**
     * 最后登录时间
     */
    private String lastLogin;

    /**
     * E-Mail地址
     */
    private String email;

    /**
     * 头像
     */
    private String headImage;


    /**
     * 所属机构
     */
    @JsonSerialize(using = ToStringSerializer.class)
    private Long orgId;

    /**
     * 角色列表
     */
    private List<SysUserRoleVo> roleList;

    /**
     *权限列表
     */
    private List<Integer> authorities=new ArrayList<>();
}
