package com.das.modules.auth.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.das.common.constant.BaseEntity;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import java.io.Serial;

/**
 * <p>
 * 菜单信息
 * </p>
 *
 * @author chenhaojie
 */
@EqualsAndHashCode(callSuper = true)
@TableName("sys_menu")
@Data
@NoArgsConstructor
@AllArgsConstructor
public class SysMenu extends BaseEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /** 菜单ID */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id ;

    /** 菜单名称 */
    @TableField("menu_name")
    private String menuName ;

    /** 菜单排列顺序 */
    @TableField("menu_order")
    private Integer menuOrder ;
    /** 菜单图标名称 */
    @TableField("menu_icon")
    private String menuIcon ;
    /** 菜单操作类型 */
    @TableField("fun_type")
    private Integer funType ;
    /** 菜单操作参数 */
    @TableField("fun_param")
    private String funParam ;
    /** 权限ID */
    @TableField("authority_id")
    private Long authorityId ;
    /** 上级菜单ID */
    @TableField("parent_menu_id")
    private Long parentMenuId ;
}
