package com.das.modules.auth.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.das.common.constant.BaseEntity;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import java.io.Serial;


/**
 * <p>
 * 公司机构
 * </p>
 *
 * @author chenhaojie
 */
@EqualsAndHashCode(callSuper = true)
@TableName("sys_org")
@Data
@NoArgsConstructor
@AllArgsConstructor
public class SysOrg extends BaseEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 机构ID
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /**
     * 机构名称
     */
    @TableField("name")
    private String name;

    /**
     * 机构编码
     */
    @TableField("mrid")
    private String mrid;

    /**
     * 省
     */
    @TableField("province")
    private String province;

    /**
     * 城市
     */
    @TableField("city")
    private String city;

    /**
     * 区县
     */
    @TableField("county")
    private String county;

    /**
     * 详细地址
     */
    @TableField("address")
    private String address;

    /**
     * 联系电话
     */
    @TableField("contact_phone")
    private String contactPhone;


    /**
     * 备注
     */
    @TableField("remarks")
    private String remarks;

    /**
     * 上级机构id
     */
    @TableField("parent_org_id")
    private Long parentOrgId;

    /**
     * 别名
     */
    @TableField("alias_name")
    private String aliasName;

}
