package com.das.modules.auth.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.das.common.constant.BaseEntity;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serial;
import java.util.Date;

/**
 * <p>
 * 用户信息
 * </p>
 *
 * @author chenhaojie
 */
@EqualsAndHashCode(callSuper = true)
@TableName("sys_user")
@Data
@NoArgsConstructor
@AllArgsConstructor
public class SysUser extends BaseEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 用户ID
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /**
     * 登录账号
     */
    @TableField("account")
    private String account;

    /**
     * 加密后的密码
     */
    @TableField("password")
    private String password;

    /**
     * 职员名称
     */
    @TableField("user_name")
    private String userName;

    /**
     * 职员邮箱
     */
    @TableField("email")
    private String email;

    /**
     * 职员联系电话
     */
    @TableField("phone")
    private String phone;

    /**
     * 头像
     */
    @TableField("head_image")
    private String headImage;

    /**
     * 所属机构id
     */
    @TableField("org_id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long orgId;

    /**
     * 最近一次登录时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField("last_login")
    private Date lastLogin;
}
