package com.das.modules.auth.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.das.modules.auth.entity.SysAuthority;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * <p>
 * 用户信息 Mapper 接口
 * </p>
 *
 * @author chenhaojie
 */
public interface SysAuthorityMapper extends BaseMapper<SysAuthority> {

    List<SysAuthority> selectByAuthorities(@Param("list")List<SysAuthority> list);

    void batchInsert(List<SysAuthority> list);
    /**
     * 判断权限是否存在
     *
     * @param authId 权限ID
     * @return 0 - 不存在， 1 - 存在
     */
    long existAuthority(@Param("authId") Long authId);

}
