package com.das.modules.auth.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.das.modules.auth.domain.dto.SysRoleQueryDto;
import com.das.modules.auth.domain.vo.SysRoleAuthVo;
import com.das.modules.auth.domain.vo.SysRoleVo;
import com.das.modules.auth.entity.SysRole;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 用户信息 Mapper 接口
 * </p>
 *
 * @author chenhaojie
 */
public interface SysRoleMapper extends BaseMapper<SysRole> {

    /**
     * 判断角色是否存在
     *
     * @param roleCode 角色ID
     * @return 0 - 不存在  1 - 存在
     */
    long existRoleByRoleCode(@Param("roleCode") String roleCode);
    IPage<SysRoleVo> queryRoleList(IPage<SysRole> page, @Param("sysRole") SysRoleQueryDto sysRoleQueryDto);

    List<SysRoleAuthVo> queryAuthorityById(@Param("id")Long id);

    SysRole selectByCode(@Param("roleCode") String roleCode);

    long existRoleByRoleId(@Param("id")Long id);

    long existRoleByName(@Param("name") String name);
}
