package com.das.modules.auth.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.das.modules.auth.domain.dto.SysUserQueryDto;
import com.das.modules.auth.domain.vo.SysUserVo;
import com.das.modules.auth.entity.SysUser;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 用户信息 Mapper 接口
 * </p>
 *
 * @author chenhaojie
 */
public interface SysUserMapper extends BaseMapper<SysUser> {

    /**
     * 判断用户是否存在
     *
     * @param account 用户账号
     * @return 0 - 不存在  1 - 存在
     */
    long existUserByAccount(@Param("account") String account);
    IPage<SysUserVo> queryUserList(IPage<SysUserVo> page, @Param("sysUser") SysUserQueryDto sysUserQueryDto);

    /**
     * 根据用户id查询权限列表
     * @param userId 用户id
     * @return 该用户拥有的权限id列表
     */
    List<Integer> queryAuthoritiesByUserId(@Param("userId") Long userId);
}
