package com.das.modules.auth.service;


import com.das.modules.auth.domain.dto.ChangePasswordDto;
import com.das.modules.auth.domain.dto.LoginDto;
import com.das.modules.auth.domain.dto.RefreshTokenDto;
import com.das.modules.auth.domain.vo.LoginUserDetailsVo;
import com.das.modules.auth.domain.vo.LoginVo;
import jakarta.servlet.http.HttpServletRequest;
import jakarta.servlet.http.HttpServletResponse;


/**
 * @author chenhaojie
 * @Description
 */
public interface LoginService {

    /**
     * 登录接口
     *
     * @param loginDto 登录请求
     * @return 登录成功
     */
    LoginUserDetailsVo login(LoginDto loginDto, HttpServletRequest request, HttpServletResponse response);

    /**
     * 退出登录
     */
    void logout(HttpServletRequest request);

    /**
     * 刷新token
     * @param refreshToken 刷新token
     * @return 返回LoginVo
     */
    LoginVo refreshToken(RefreshTokenDto refreshToken);

    int changePassword(ChangePasswordDto changePasswordDto);
}
