package com.das.modules.auth.service;

import com.das.common.utils.PageDataInfo;
import com.das.modules.auth.domain.dto.DeleteDto;
import com.das.modules.auth.domain.dto.SysMenuDto;
import com.das.modules.auth.domain.dto.SysMenuQueryDto;
import com.das.modules.auth.domain.vo.SysMenuVo;
import com.das.modules.auth.entity.SysMenu;

import java.util.List;

public interface SysMenuService {

    SysMenu createMenu(SysMenuDto sysMenuDto);

    void updateMenu(SysMenuDto sysMenuDto);

    void deleteMenu(DeleteDto deleteDto);

    PageDataInfo<SysMenu> queryMenuList(SysMenuQueryDto sysMenuQueryDto);

    /**
     * 查询菜单列表
     * @param sysMenuQueryDto 查询条件
     * @return 返回查询列表 按菜单顺序排序
     */
    List<SysMenuVo> queryAllMenuList(SysMenuQueryDto sysMenuQueryDto);

    /**
     * 构建菜单树结构
     * @return 返回菜单树
     */
    SysMenuVo getRootMenuByCurrentUser(List<Integer> authorities);
}
