package com.das.modules.equipment.controller;

import com.das.common.constant.EquipmentTypeIds;
import com.das.common.result.R;
import com.das.modules.equipment.domain.vo.EquipmentTypeVo;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.ArrayList;
import java.util.List;

/**
 * 设备相关Controller
 */
@Slf4j
@RequestMapping("/api/equipment")
@RestController
public class EquipmentController {

    /**
     * 查询所有的设备类型
     * @return 所有的设备类型
     */
    @PostMapping("/type")
    public R<?> queryEquipmentTypeList() {
        List<EquipmentTypeVo> typeVoList= new ArrayList<>();
        typeVoList.add(new EquipmentTypeVo(EquipmentTypeIds.EQUIPMENT_TYPE_WIND_FARM,"风电场"));
        typeVoList.add(new EquipmentTypeVo(EquipmentTypeIds.EQUIPMENT_TYPE_STATION_WTG,"机组"));

        return R.success(typeVoList);
    }
}
