package com.das.modules.equipment.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.das.common.constant.BaseEntity;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import java.io.Serial;


/**
 * <p>
 * 物模型
 * </p>
 *
 * @author chenhaojie
 */
@EqualsAndHashCode(callSuper = true)
@TableName("sys_iot_model")
@Data
@NoArgsConstructor
@AllArgsConstructor
public class SysIotModel extends BaseEntity {
    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 模型ID
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /**
     * 设备类型编码
     */
    @TableField("object_type")
    private Integer objectType;

    /**
     * 模型编码
     */
    @TableField("iot_model_code")
    private String iotModelCode;

    /**
     * 模型名称
     */
    @TableField("iot_model_name")
    private String iotModelName;
}
