package com.das.modules.equipment.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.das.common.constant.BaseEntity;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import java.io.Serial;


/**
 * <p>
 * 物模型动作
 * </p>
 *
 * @author chenhaojie
 */
@EqualsAndHashCode(callSuper = true)
@TableName("sys_iot_model_service")
@Data
@NoArgsConstructor
@AllArgsConstructor
public class SysIotModelServices extends BaseEntity {
    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 模型ID
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /**
     * 所属物模型ID
     */
    @TableField(value = "iot_model_id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long iotModelId;


    /**
     * 动作编码编码
     */
    @TableField("service_code")
    private String serviceCode;

    /**
     * 动作编码名称
     */
    @TableField("service_name")
    private String serviceName;

    /**
     * 动作编码类型
     */
    @TableField("service_type")
    private Integer serviceType;

    /**
     * 测点序号
     */
    @TableField("porder")
    private Integer porder;
}
