# API接口概述

## 接口约定

系统中的所有接口均遵循以下约定。

1. 除了与文件上传/下载相关的接口外，都是`POST`请求，请求报文使用`JSON`格式。
2. 文件下载使用GET请求(此种类型，加解密再讨论下)。
3. 文件上传使用POST请求，请求报文使用`multipart/form-data`格式。

## 加密/解密

请求报文，Header中需要添加参数

| 参数名称 | 说明     |   备注  |
| -------- | -------- | --- |
| token    | 令牌     |   需要鉴权的API 才需要添加此参数  |
| V        | 加密向量 |  必须添加   |

加密采用AES/CBC/ZeroPadding加密方式，密钥长度为16位。，IV长度为16位（每次请求时随机生成）。



## 返回报文格式定义

### 1、统一返回格式

````json
{
	"code": 200,
	"success": true,
	"msg": "提示信息",
	"data": null
}
````



### 2、分页查询数据格式

```json
{
    "code": 200,
	"total": 3,
	"msg": "查询成功",
	"rows": [{},{},{}]
}
```



# 系统常量定义

## 1、系统权限

| ID   | 编码                         | 名称         |
| ---- | ---------------------------- | ------------ |
| 101  | SYS_AUTHORITY_ID_ADMIN       | 系统管理权限 |
| 102  | SYS_AUTHORITY_ID_DEVICE_MGR  | 设备维护权限 |
| 103  | SYS_AUTHORITY_ID_DEVICE_VIEW | 设备浏览权限 |

## 2、设备类型

| ID    | 编码                       | 名称   |
| ----- | -------------------------- | ------ |
| 10001 | EQUIPMENT_TYPE_WIND_FARM   | 风电场 |
| 10002 | EQUIPMENT_TYPE_STATION_WTG | 机组   |

