import createAxios from '/@/utils/axios'

export function index() {
    return createAxios({
        url: '/api/auth/portal/menu',
        method: 'get',
    })
}

export function userinfo() {
    return createAxios({
        url: '/api/auth/token/info',
        method: 'get',
    })
}

export function login(params: object = {}) {
    return createAxios({
        url: '/api/auth/login',
        data: params,
        method: 'POST',
    })
}

export function logout() {
    return createAxios({
        url: '/api/auth/logout',
        method: 'POST',
    })
}
//菜单树
export function menusTree(params: object = {}) {
    return createAxios({
        url: '/api/menus/list',
        method: 'POST',
        data: params,
    })
}

// 菜单管理查询
export function menusQuery(params: object = {}) {
    return createAxios({
        url: '/api/menus/query',
        method: 'POST',
        data: params,
    })
}

// 菜单修改
export function menusUpdate(params: object = {}) {
    return createAxios({
        url: '/api/menus/update',
        method: 'POST',
        data: params,
    })
}

// 菜单删除
export function menuDelete(params: object = {}) {
    return createAxios({
        url: '/api/menus/delete',
        method: 'POST',
        data: params,
    })
}

// 菜单新增
export function menuAdd(params: object = {}) {
    return createAxios({
        url: '/api/menus/add',
        method: 'POST',
        data: params,
    })
}

// 用户查询
export function userQuery(params: object = {}) {
    return createAxios({
        url: '/api/user/query',
        method: 'POST',
        data: params,
    })
}

// 用户修改
export function userUpdate(params: object = {}) {
    return createAxios({
        url: '/api/user/update',
        method: 'POST',
        data: params,
    })
}

// 用户删除
export function userDelete(params: object = {}) {
    return createAxios({
        url: '/api/user/delete',
        method: 'POST',
        data: params,
    })
}

// 用户新增
export function userAdd(params: object = {}) {
    return createAxios({
        url: '/api/user/add',
        method: 'POST',
        data: params,
    })
}

// 用户左边树
export function userList(params: object = {}) {
    return createAxios({
        url: 'api/org/list',
        method: 'POST',
        data: params,
    })
}

// 所有权限查询
export function allPermissionQuery(params: object = {}) {
    return createAxios({
        url: '/api/authority/query',
        method: 'POST',
        data: params,
    })
}

// 所有角色查询
export function allRoleQuery(params: object = {}) {
    return createAxios({
        url: '/api/role/query',
        method: 'POST',
        data: params,
    })
}

// 获取绑定菜单
export function menuTree(params: object = {}) {
    return createAxios({
        url: '/api/menus/tree',
        method: 'POST',
        data: params,
    })
}

// 修改密码
export function userChangePassword(params: object = {}) {
    return createAxios({
        url: 'api/auth/changePassword',
        method: 'POST',
        data: params,
    })
}

