import createAxios from '/@/utils/axios'
import { getDataType, addDataType, changeDataType, delDataType, getDataReturnType, operateDataReturnType, getTreeDataType,getTreeDataReturnType } from './type'

export const getInstitutionalListReq = (data: getDataType) => {
    return createAxios<addDataType, getDataReturnType<getTreeDataReturnType>>({
        url: '/api/org/query',
        method: 'post',
        data: data,
    })
}

export const addInstitutionalListReq = (data: addDataType) => {
    return createAxios<never, operateDataReturnType>({
        url: '/api/org/add',
        method: 'post',
        data: data,
    })
}

export const changeInstitutionalListReq = (data: changeDataType) => {
    return createAxios<never, operateDataReturnType>({
        url: '/api/org/update',
        method: 'post',
        data: data,
    })
}

export const delInstitutionalListReq = (data: delDataType) => {
    return createAxios<never, operateDataReturnType>({
        url: '/api/org/delete',
        method: 'post',
        data: data,
    })
}

export const getInstitutionalTreeListReq = (data: getTreeDataType) => {
    console.log(data);
    return createAxios<never, operateDataReturnType<getTreeDataReturnType[]>>({
        url: '/api/org/list',
        method: 'post',
        data: data,
    })
}
