import createAxios from '/@/utils/axios'
import {
    roleListReturnType,
    roleListReturnDataType,
    getDataType,
    getDataReturnType,
    changeDataType,
    changeDataReturnType,
    addDataType,
    addDataReturnType,
    delDataType,
    authorityDataListType
} from './type'
export const getRoleListReq = (params: getDataType) => {
    return createAxios<never, roleListReturnType<getDataReturnType>>({
        url: '/api/role/query',
        method: 'post',
        data: params,
    })
}

export const changeRoleListReq = (params: changeDataType) => {
    return createAxios<never,roleListReturnDataType<changeDataReturnType>>({
        url: '/api/role/update',
        method: 'post',
        data: params,
    })
}

export const addRoleListReq = (params: addDataType) => {
    return createAxios<never,roleListReturnDataType<addDataReturnType>>({
        url: '/api/role/add',
        method: 'post',
        data: params,
    })
}

export const delRoleListReq = (params: delDataType) => {
    return createAxios<never, roleListReturnDataType<never>>({
        url: '/api/role/delete',
        method: 'post',
        data: params,
    })
}

export const getAllRoleListReq = () => {
    return createAxios<never,roleListReturnDataType<authorityDataListType>>({
        url: '/api/authority/query',
        method: 'post',
    })
}
