import createAxios from '/@/utils/axios'
import { getUserData, passWordInfoType, getUserReturnDataType, userFormDataType, updateUserInfoReturnDataType } from './type'
export const updateUserInfo = (data: userFormDataType) => {
    return createAxios<never, Promise<updateUserInfoReturnDataType>>({
        url: 'api/user/updateById',
        method: 'post',
        data: {
            id: data.id,
            account: data.account,
            userName: data.userName,
            email: data.email,
            phone: data.phone,
            headImage:data.headImage,
        },
    })
}

export const updatePassWordInfo = (data: passWordInfoType) => {
    return createAxios<never, Promise<updateUserInfoReturnDataType>>({
        url: 'api/auth/changePassword',
        method: 'post',
        data: {
            id: data.id,
            oldPassword: data.oldPassword,
            newPassword: data.newPassword,
        },
    })
}

export function userQuery(params: { id: string | number }) {
    return createAxios<never, Promise<getUserReturnDataType>>({
        url: '/api/user/query',
        method: 'POST',
        data: params,
    })
}
